【解決】プラグイン開発をしようとしているけど、そもそも起動すらしない

Modding・サーバPlugin制作・ツール制作など、開発関連の質問があればこちらにお願い致します。
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.256739)

【解決】プラグイン開発をしようとしているけど、そもそも起動すらしない

投稿記事by なぎさくや » 2015年12月13日(日) 20:30

サーバーは起動します。ワールドにも入れます。でも作ったプラグインは動いてません...

以下実行内容

Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will
likely be removed in a future release
Loading libraries, please wait...
[20:23:05 INFO]: Starting minecraft server version 1.7.2
[20:23:05 INFO]: Loading properties
[20:23:05 INFO]: Default game type: SURVIVAL
[20:23:05 INFO]: Generating keypair
[20:23:05 INFO]: Starting Minecraft server on *:25565
[20:23:05 INFO]: This server is running CraftBukkit version git-Bukkit-1.7.2-R0.
3-2-g85f5776-b3024jnks (MC: 1.7.2) (Implementing API version 1.7.2-R0.4-SNAPSHOT
)
[20:23:05 ERROR]: Could not load 'plugins\bomb.plugin-0.0.1-SNAPSHOT.jar' in fol
der 'plugins'
org.bukkit.plugin.InvalidDescriptionException: version is not defined
at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile
.java:819) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.
java:189) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:155) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]

at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
.java:133) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at org.bukkit.craftbukkit.v1_7_R1.CraftServer.loadPlugins(CraftServer.ja
va:350) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at org.bukkit.craftbukkit.v1_7_R1.CraftServer.<init>(CraftServer.java:31
2) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at net.minecraft.server.v1_7_R1.PlayerList.<init>(PlayerList.java:63) [c
raftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at net.minecraft.server.v1_7_R1.DedicatedPlayerList.<init>(SourceFile:14
) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at net.minecraft.server.v1_7_R1.DedicatedServer.init(DedicatedServer.jav
a:126) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at net.minecraft.server.v1_7_R1.MinecraftServer.run(MinecraftServer.java
:424) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
at net.minecraft.server.v1_7_R1.ThreadServerApplication.run(SourceFile:6
17) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
Caused by: java.lang.NullPointerException
at org.bukkit.plugin.PluginDescriptionFile.loadMap(PluginDescriptionFile
.java:817) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-2-g85f5776-b3024jnks]
... 10 more
[20:23:05 INFO]: Preparing level "world"
[20:23:05 INFO]: Preparing start region for level 0 (Seed: -3289901372018656586)

[20:23:06 WARN]: Exception in thread "Thread-7"
[20:23:06 WARN]: org.bukkit.craftbukkit.libs.com.google.gson.JsonSyntaxException
: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line
1 column 7
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.internal.
bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java
:180)
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.Gson.from
Json(Gson.java:755)
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.Gson.from
Json(Gson.java:694)
[20:23:06 WARN]: at org.bukkit.craftbukkit.v1_7_R1.updater.BukkitDLUpdate
rService.fetchArtifact(BukkitDLUpdaterService.java:53)
[20:23:06 WARN]: at org.bukkit.craftbukkit.v1_7_R1.updater.BukkitDLUpdate
rService.getArtifact(BukkitDLUpdaterService.java:30)
[20:23:06 WARN]: at org.bukkit.craftbukkit.v1_7_R1.updater.AutoUpdater$1.
run(AutoUpdater.java:77)
[20:23:06 WARN]: Caused by: java.lang.IllegalStateException: Expected BEGIN_OBJE
CT but was STRING at line 1 column 7
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.stream.Js
onReader.expect(JsonReader.java:339)
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.stream.Js
onReader.beginObject(JsonReader.java:322)
[20:23:06 WARN]: at org.bukkit.craftbukkit.libs.com.google.gson.internal.
bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java
:168)
[20:23:06 WARN]: ... 5 more
[20:23:06 INFO]: Preparing start region for level 1 (Seed: -3289901372018656586)

[20:23:06 INFO]: Preparing start region for level 2 (Seed: -3289901372018656586)

[20:23:06 INFO]: Server permissions file permissions.yml is empty, ignoring it
[20:23:06 INFO]: Done (1.239s)! For help, type "help" or "?"
>


xmlファイル

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>my.test.plugin</groupId>
<artifactId>bomb.plugin</artifactId>
<version>0.0.1-SNAPSHOT</version>
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<configuration>
<source>1.8</source>
<target>1.8</target>
</configuration>
</plugin>
</plugins>
</build>
<repositories>
<repository>
<id>bukkit-repo</id>
<url>http://repo.bukkit.org/content/groups/public/</url>
</repository>
</repositories>
<dependencies>
<dependency>
<groupId>org.bukkit</groupId>
<artifactId>bukkit</artifactId>
<version>1.7.2-R0.3</version>
<type>jar</type>
<scope>provided</scope>
</dependency>
</dependencies>
</project>

メイン

package my.test.plugin.bomb.plugin;

import org.bukkit.plugin.java.JavaPlugin;

public class Bomb extends JavaPlugin {

@Override
public void onEnable() {
getLogger().info("Bombプラグインが有効化されました");
}

@Override
public void onDisable() {
getLogger().info("Bombプラグインが無効化されました");
}
}

yml

name: bomb.plugin
main: my.test.plugin.bomb.plugin.Bomb
versjon: 0.0


参考にしたサイト
http://minecraftjp.info/modding/index.p ... n_Tutorial

何回かやり直してみましたが、出来ません。
良ければ回答をくれると嬉しいです。
最後に編集したユーザー なぎさくや [ 2015年12月13日(日) 21:05 ], 累計 1 回
なぎさくや
ID:ac0699c2
水から上がったとこ
 
記事: 9
登録日時: 2015年12月13日(日) 20:18

  • (PostNo.256741)

Re: プラグイン開発をしようとしているけど、そもそも起動すらしない

投稿記事by Mon_chi » 2015年12月13日(日) 20:55

plugin.ymlのversionの綴りが間違っています。
Mon_chi
ID:27560229
鉄鉱掘り
 
記事: 279
登録日時: 2014年11月20日(木) 19:58

  • (PostNo.256744)

Re: プラグイン開発をしようとしているけど、そもそも起動すらしない

投稿記事by なぎさくや » 2015年12月13日(日) 21:05

FireMoon さんが書きました:plugin.ymlのversionの綴りが間違っています。



本当だ!!!
ありがとうございます!!

起動しました!!!!


コード: 全て選択
どうでもいいけどこれ使えばよかったかも
なぎさくや
ID:ac0699c2
水から上がったとこ
 
記事: 9
登録日時: 2015年12月13日(日) 20:18


Return to 質問:開発・制作関連

x